escript::FileWriter Class Reference

`#include <FileWriter.h>`

## Public Member Functions

| FileWriter (MPI_Comm comm=MPI_COMM_NULL)
| ~FileWriter ()
bool | openFile (std::string filename, size_t initialSize=0, bool binary=false, bool append=false)
bool | writeOrdered (std::ostringstream &oss)
bool | writeShared (std::ostringstream &oss)
bool | writeAt (std::ostringstream &oss, long offset)
void | close ()

## Private Attributes

MPI_Comm | mpiComm
int | mpiRank
int | mpiSize
bool | m_open
std::ofstream | ofs

## Constructor & Destructor Documentation

## FileWriter()

escript::FileWriter::FileWriter | ( | MPI_Comm | comm = `MPI_COMM_NULL` | ) |

inline

References mpiRank.

## ~FileWriter()

escript::FileWriter::~FileWriter | ( |  | ) |

inline

## Member Function Documentation

## close()

void escript::FileWriter::close | ( |  | ) |

inline

Referenced by escript::saveDataCSV(), ripley::Brick::writeBinaryGridImpl(), ripley::Rectangle::writeBinaryGridImpl(), speckley::Brick::writeBinaryGridImpl(), and speckley::Rectangle::writeBinaryGridImpl().

## openFile()

bool escript::FileWriter::openFile | ( | std::string | filename,
|  | size_t | initialSize = `0`,
|  | bool | binary = `false`,
|  | bool | append = `false`
| ) |  |

inline

Referenced by escript::saveDataCSV(), ripley::Brick::writeBinaryGridImpl(), ripley::Rectangle::writeBinaryGridImpl(), speckley::Brick::writeBinaryGridImpl(), and speckley::Rectangle::writeBinaryGridImpl().

## writeAt()

bool escript::FileWriter::writeAt | ( | std::ostringstream & | oss,
|  | long | offset
| ) |  |

inline

Referenced by ripley::Brick::writeBinaryGridImpl(), ripley::Rectangle::writeBinaryGridImpl(), speckley::Brick::writeBinaryGridImpl(), and speckley::Rectangle::writeBinaryGridImpl().

## writeOrdered()

bool escript::FileWriter::writeOrdered | ( | std::ostringstream & | oss | ) |

inline

Referenced by escript::saveDataCSV().

## writeShared()

bool escript::FileWriter::writeShared | ( | std::ostringstream & | oss | ) |

inline

## Member Data Documentation

## m_open

bool escript::FileWriter::m_open

private

## mpiComm

MPI_Comm escript::FileWriter::mpiComm

private

## mpiRank

int escript::FileWriter::mpiRank

private

Referenced by FileWriter().

## mpiSize

int escript::FileWriter::mpiSize

private

## ofs

std::ofstream escript::FileWriter::ofs

private

The documentation for this class was generated from the following file:

- FileWriter.h